Bug 1315104 - Variable {runtime.tools.avr-gcc.path} is undefined
Summary: Variable {runtime.tools.avr-gcc.path} is undefined
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arduino
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-06 18:04 UTC by Jaroslav Škarvada
Modified: 2016-03-25 01:25 UTC (History)
5 users (show)

Fixed In Version: arduino-1.6.4-6.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-25 01:25:52 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2016-03-06 18:04:45 UTC
Description of problem:
The {runtime.tools.avr-gcc.path} is undefined so it doesn't compile the code out of the box for third-party platforms (e.g. RepRap Melzi board).

Version-Release number of selected component (if applicable):
arduino-1.6.4-4.fc23.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install platform which defines 'compiler.path={runtime.tools.avr-gcc.path}/bin/' in its platform.txt
2. Compile for such platform

Actual results:
Cannot run program "{runtime.tools.avr-gcc.path}/bin/avr-g++" (in directory "."): error=2, Directory or file doesn't exist

Expected results:
No error

Additional info:
As Fedora provides avr-gcc, which is the default compiler, I think the {runtime.tools.avr-gcc.path} variable should be preset to some sane default (maybe /usr?). 

The variable is installed by platform.keys.rewrite.txt from arduino. There is also some discussion upstream:
https://github.com/arduino/Arduino/issues/2982

Comment 1 Fedora Update System 2016-03-14 01:06:06 UTC
arduino-1.6.4-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e93e73570

Comment 2 Fedora Update System 2016-03-16 15:24:16 UTC
arduino-1.6.4-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e93e73570

Comment 3 Fedora Update System 2016-03-25 01:25:45 UTC
arduino-1.6.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.